Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockLifecycle

    java.lang.Object
      javax.faces.lifecycle.Lifecycle
          org.jboss.seam.mock.MockLifecycle

    public class MockLifecycle

extends javax.faces.lifecycle.Lifecycle

Field Summary
`static javax.faces.lifecycle.Lifecycle` | `INSTANCE`

Constructor Summary
`MockLifecycle()`

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener pl)`
`void` | `execute(javax.faces.context.FacesContext ctx)`
`javax.faces.event.PhaseListener[]` | `getPhaseListeners()`
`void` | `removePhaseListener(javax.faces.event.PhaseListener pl)`
`void` | `render(javax.faces.context.FacesContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final javax.faces.lifecycle.Lifecycle INSTANCE

Constructor Detail

### MockLifecycle

    public MockLifecycle()

Method Detail

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener pl)

  Specified by:
    `addPhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### execute

    public void execute(javax.faces.context.FacesContext ctx)
                 throws javax.faces.FacesException

  Specified by:
    `execute` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### getPhaseListeners

    public javax.faces.event.PhaseListener[] getPhaseListeners()

  Specified by:
    `getPhaseListeners` in class `javax.faces.lifecycle.Lifecycle`

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener pl)

  Specified by:
    `removePhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### render

    public void render(javax.faces.context.FacesContext ctx)
                throws javax.faces.FacesException

  Specified by:
    `render` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.